use argh::FromArgs;

#[derive(FromArgs)]
/// Sheep Daemon
pub struct SheepdArgs {
    #[argh(subcommand)]
    pub command: Option<SheepdCommand>,
}

#[derive(FromArgs, PartialEq, Debug)]
#[argh(subcommand)]
pub enum SheepdCommand {
    Join(JoinCommand),
}

#[derive(FromArgs, PartialEq, Debug)]
/// Join a herd
#[argh(subcommand, name = "join")]
pub struct JoinCommand {
    #[argh(positional)]
    /// home server domain
    pub home: String,
}
