use serde::{Deserialize, Serialize};

/// Herd Server Configuration
#[derive(Serialize, Deserialize)]
pub struct Config {
    /// Public MQTT endpoint
    pub mqtt: String,
}

impl Default for Config {
    fn default() -> Self {
        toml::from_str(&std::fs::read_to_string("./herd/config.toml").unwrap()).unwrap()
    }
}
